/*
 *                                                               _
 *   _____  _                           ____  _                 |_|
 *  |  _  |/ \   ____  ____ __ ___     / ___\/ \   __   _  ____  _
 *  | |_| || |  / __ \/ __ \\ '_  \ _ / /    | |___\ \ | |/ __ \| |
 *  |  _  || |__. ___/. ___/| | | ||_|\ \___ |  _  | |_| |. ___/| |
 *  |_/ \_|\___/\____|\____||_| |_|    \____/|_| |_|_____|\____||_|
 *
 *  ===============================================================
 *             More than a coder, More than a designer
 *  ===============================================================
 *
 *  - Document: index.js
 *  - Author: aleen42
 *  - Description: The runtime script
 *  - Create Time: Jul 27th, 2021
 *  - Update Time: Jul 27th, 2021
 *
 */

/* global gitbook */
require('katex/dist/katex.css');
require('index.css');

const katex = require('katex');
// noinspection JSUnresolvedVariable
gitbook.events.bind('page.change', () => (document.querySelectorAll('p.math-expression') || []).forEach(element => {
    // noinspection JSUnresolvedFunction
    katex.render(JSON.parse(element.getAttribute('data-content')), element, {
        throwOnError: false,
        macros: JSON.parse(element.getAttribute('data-macros') || '{}'),
    });
}));
